package com.sunwin.visitorapp.view;

import android.app.Dialog;
import android.content.Context;
import android.text.TextUtils;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.view.animation.LinearInterpolator;
import android.widget.ImageView;
import android.widget.TextView;

import com.sunwin.visitorapp.R;

public class LoadingDialog extends Dialog {

    private Context mContent;
    private ImageView imageView;
    private TextView textView;
    private String mText;
    private Animation anim;

    public LoadingDialog(Context context) {
        super(context);

    }

    public LoadingDialog(Context context, String text) {
        super(context);
        mText = text;
        init(context);
        textView.setText(mText);
    }

    private void init(Context context) {
        setContentView(R.layout.dialog_loading);
        imageView = findViewById(R.id.loadingdialog_fiv_icon);
        textView = findViewById(R.id.loadingdialog_htv_text);

        anim = AnimationUtils.loadAnimation(context, R.anim.load_animation);
        LinearInterpolator lin = new LinearInterpolator();
        anim.setInterpolator(lin);
        imageView.startAnimation(anim);
        setCanceledOnTouchOutside(false);

    }

    public void showLoadingDialog(String text) {
        if (TextUtils.isEmpty(text)) {
            setText("玩命加载中...");
        }else{
            setText(text);
        }
        if (anim!=null){
            imageView.startAnimation(anim);
        }
        show();
    }

    public void dismissLoadingDialog() {
        if (isShowing()) {
            dismiss();
            imageView.clearAnimation();
        }
    }

    private void setText(String text) {
        mText = text;
        textView.setText(mText);
    }


}
